include ../../config.mak

ifeq ($(BUILD_STATIC), yes)
  LDFLAGS += -static
endif

LDFLAGS +=
CFLAGS += -O2

rs12: 
	$(CC) $(CFLAGS) rs12.c -o rs12 $(LDFLAGS)

.PHONY: install
install:
ifdef BIN_DIR
	install -m 0755 rs12 $(BIN_DIR)
endif

.PHONY: uninstall
uninstall:
ifdef BIN_DIR
	rm $(BIN_DIR)/rs12
endif

clean: 
	rm rs12 || true
